Subject: Re: Remove Cygwin Path for Called Batch Script
From: Tatsuro MATSUOKA <[email-masked]>
To: Scott Wegner <[email-masked]>, [email-masked]
Cc: me <[email-masked]>
Date: Wed, 26 Mar 2008 04:45:52 +0900 (JST)
List-Id: <cygwin.cygwin.com>

Hello

$ cygpath --help

Is this infomation useful for you?  

Rerads

Tatsuro

--- Scott Wegner <[email-masked]> wrote:

> Greg Chicares wrote:
> > On 2008-03-25 13:30Z, Scott Wegner wrote:
> >> I am trying to create a "wrapper" Cygwin bash script to add 
> >> functionality to an existing Windows batch script.  In my Cygwin script, 
> >> I would like to call the batch file with something like:
> >>
> >> ...
> >> cmd.exe /k batch-script.bat params
> >> ...
> >>
> >> Calling the script in this fashion seems to generally work (in that the 
> >> script executes).  However, I have trouble because the Cygwin path is 
> >> prepended to the Windows path in the batch script.  As a result, trying 
> >> to use the Windows "find" use Cygwin's instead.
> > 
> > If you write
> >   %SystemRoot%\system32\find
> > in the batch file, then you'll get the msw "find" whether or not
> > any Cygwin directory is on your path.
> 
> Hi Greg,
> 
> Thanks for the quick reply.  This is a feasible solution.  However, I'd 
> rather find a solution where the batch script can remain "unaware" of 
> its Cygwin context.  Once I get things working, I plan on creating bash 
> script wrappers for many Windows batch scripts, so I'd like to make the 
> changes in the Cygwin environment, rather than editing each batch script 
> individually.
> 
> I'll keep looking at let you know if I find anything.
> 
> Scott
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--------------------------------------
Easy + Joy + Powerful = Yahoo! Bookmarks x Toolbar
http://pr.mail.yahoo.co.jp/toolbar/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/